    <div class="flex tw-flex-col p-0">
        <div class="flex tw-flex-col items-center p-2">
            <div class="col-6">
                <i class="fas fa-list-alt text-green-500 text-lg"></i>&nbsp;
                Patien List
            </div>
            <div  class="flex justify-end items-center col-12">
                <!-- <div #exemplo>hllloooo{{myEvent}}***{{deviceType}}</div> -->
                <div  class="flex justify-end items-center col-12">
                    <!-- <div #exemplo>hllloooo{{myEvent}}***{{deviceType}}</div> -->
                    <!-- <nz-space> -->
                        <!-- <nz-select (ngModelChange)="onSelectWard($event)" style="width: 220px;" nzPlaceHolder="เลือก Ward"
                          *nzSpaceItem [(ngModel)]="dataWard">
                          <nz-option *ngFor="let ward of wards" [nzValue]="ward" [nzLabel]="ward.name"></nz-option>
                        </nz-select> -->
                        <!-- <nz-input-group *nzSpaceItem nzSearch [nzAddOnAfter]="suffixIconButton"> -->
                          <!-- <input type="text" name="query" [(ngModel)]="query" nz-input placeholder="ค้นหา..." /> -->
                        <!-- </nz-input-group> -->
                        <ng-template #suffixIconButton>
                          <!-- <nz-button-group> -->
                            <button nz-button nzType="primary" nzSearch [disabled]="!query" (click)="doSearch()"><span nz-icon
                                nzType="search"></span></button>
                            <button nz-button nzType="primary" (click)="refresh()"><span nz-icon nzType="reload"></span></button>
                          <!-- </nz-button-group> -->
                        </ng-template>
                      <!-- </nz-space> -->
                </div>
            </div>
        </div>

        <p-dataView #dv [value]="patientList" [paginator]="true" [rows]="9" filterBy="fname"   layout="grid">
        <ng-template pTemplate="header">
            <!-- <div class="flex flex-column md:flex-row md:justify-content-between gap-2">
                <p-dropdown [options]="sortOptions" placeholder="เรียงตามชื่อตึก"
                    (onChange)="onSortChange($event)"></p-dropdown>

                <div>
                    <span class="p-input-icon-left">
                        <i class="pi pi-search"></i>
                        <input type="text" pInputText class="border-1 border-gray-400 pl-5 pb-2 pt-2 tw-rounded"
                            placeholder="ค้นหา" (input)="onFilter(dv, $event)"  [(ngModel)]="filterName" />
                       
                        <button pButton pRipple type="button" icon="pi pi-times"
                            class="p-button-rounded p-button-text p-button-plain -ml-6" (click)="clearFilter(dv,$event)"></button>



                    </span>
                </div>

                <p-dataViewLayoutOptions></p-dataViewLayoutOptions>
            </div> -->
        </ng-template>


        <ng-template let-patientList let-i="rowIndex" pTemplate="listItem">
        <div class="flex tw-flex-col p-5">
            <div class="flex tw-flex-col gap-y-5 tw-h-full pl-10 pr-10 pt-5">
                <div class="flex tw-w-full tw-h-full tw-bg-slate-50 tw-border tw-border-cyan-200 tw-rounded-2xl p-4 shadow" >
                    <div class="flex-none tw-w-44 text-gray-600 bg-slate-100 tw-rounded-2xl" *ngIf="!patientList.hideLeft" [ngClass]="deviceType =='xs' || deviceType=='sm' ? 'hidden' : ''">
                        <div class="flex flex-row gap-x-4 content-center justify-center tw-h-fit tw-w-full">
                            <div class="flex items-center content-center justify-center ">
                                <button class="tw-rounded-full bg-indigo-100  tw-border-indigo-600 tw-border-2 tw-w-16 tw-h-16 " (click)="navigatePatientInfo(patientList.admit_id)">
                                    <i class="fa-regular fa-address-book text-indigo-600 text-[28px]"></i>
                                </button>
                            </div>
                            <div class="flex items-center content-center justify-center">
                                <button class="tw-rounded-full bg-sky-100  tw-border-sky-600 tw-border-2 tw-w-16 tw-h-16 " (click)="navigateDoctorOrder(patientList.admit_id)">
                                    <i class="fa-solid fa-user-doctor text-sky-600 text-[28px]"></i>
                                </button>
                            </div>
                        </div>
                    </div>
                    <div class="shrink tw-w-full tw-h-full">
                        <div class="flex tw-content-center tw-items-center tw-justify-center tw-h-fit">
                            <div class="flex-none hidden md:inline-flex lg:inline-flex xl:inline-flex xxl:inline-flex tw-w-35 tw-h-full p-0 tw-content-center" [ngClass]="deviceType =='xs' || deviceType=='sm' ? 'hidden' : ''">
                                <button class="tw-bg-gradient-to-r tw-from-slate-300 tw-to-slate-100 tw-rounded-full p-3 tw-content-center tw-items-center tw-w-full tw-h-full" (click)="openPanelLeft(i)" *ngIf="patientList.hideLeft">                               
                                    <i class="fa-solid fa-chevron-right tw-align-middle text-4xl tw-w-10 tw-h-full text-indigo-400 hover:text-white "></i>
                                </button>
                                <button class="tw-bg-gradient-to-r tw-from-slate-300 tw-to-slate-100 tw-rounded-full p-3 tw-content-center tw-items-center tw-w-full tw-h-full" (click)="openPanelLeft2(i)" *ngIf="!patientList.hideLeft">   
                                    <i class="fa-solid fa-chevron-left tw-align-middle text-4xl tw-w-10 tw-h-full text-indigo-400 hover:text-white "></i>
                                </button>
                            </div>
                            <div class="shrink tw-w-full tw-h-fit pl-3 pr-3 pb-0 pt-0 example-boundary">
                                <div class="flex tw-flex-col tw-h-full" cdkDragBoundary=".example-boundary"
                                    cdkDrag
                                    (cdkDragStarted)="onDragStarted($event,i)"
                                    (cdkDragEnded)="onDragEnded($event,i)">
                                    <div class="flex tw-h-full">
                                        <div class="flex-none">
                                            <div class="flex items-center">
                                                <button class="tw-rounded-full tw-border-2 p-2 bg-teal-500 tw-w-12 tw-h-12  tw-border-teal-500">
                                                    <i class="fa-solid fa-user text-white text-2xl "></i>
                                                </button>
                                            </div>
                                        </div>
                                        <div class="grow tw-w-fit tw-h-full align-middle items-center">
                                            <div class="flex tw-flex-col tw-h-fit align-middle">
                                                <div class="flex justify-between">
                                                    <div class="flex flex-wrap tw-w-3/4 gap-x-3 pl-3 align-middle content-center tw-h-full">
                                                        <div class="font-bold text-gray-600 align-middle content-center"> HN :</div><div> {{patientList.hn}}</div>
                                                        <div class="font-bold text-gray-600"> AN :</div><div> {{patientList.an}}</div>
                                                        <div class="font-bold text-gray-600"> ชื่อ-สกุล :</div><div> {{patientList.title}}{{patientList.fname}} {{patientList.lname}}</div>
                                                        <div class="font-bold text-gray-600"> เพศ :</div><div> {{patientList.gender}}</div>
                                                        <div class="font-bold text-gray-600"> อายุ :</div><div> {{patientList.age}}</div>
                                                    </div>
                                                    <div class="flex tw-w-1/4 justify-end">
                                                        <span class="bg-green-200 p-1 text-md tw-w-fit tw-h-fit round font-bold">เตียง : &nbsp;{{patientList.bed_number}}</span>
                                                    </div>
                                                </div>

                                                <div class="flex flex-wrap gap-x-3 pl-3 tw-h-full">
                                                    <div class="font-bold text-gray-600"> แพทย์ :</div><div> {{patientList.doctor_title}}{{patientList.doctor_fname}} {{patientList.doctor_lname}}</div>
                                                    <div class="font-bold text-gray-600"> เบอร์โทร :</div><div> {{queryParamsData.phone}}</div>
                                                </div>
                                            </div>

                                        </div>
                                    </div>
                                    <div class="flex flex-row content-center" *ngIf="deviceType =='xs' || deviceType=='sm'">
                                        <div class="flex justify-center tw-w-full gap-x-4">
                                            <button class="p-4  tw-w-10 tw-h-10" (click)="navigatePatientInfo(patientList.an)">

                                                <i class="fa-regular fa-address-book text-indigo-600 text-[28px]"></i>

                                            </button>
                                            <button class="p-4  tw-w-10 tw-h-10" (click)="navigateDoctorOrder(patientList.an)">
                                                <i class="fa-solid fa-user-doctor text-sky-600 text-[28px]"></i>

                                            </button>
                                            <button class="p-4  tw-w-10 tw-h-10"  (click)="navigateAdmisstionNote(patientList.an)">
                                                <i class="fa-solid fa-file-pen text-rose-600 text-[28px]"></i>

                                            </button>
                                            <button class="p-4  tw-w-10 tw-h-10" (click)="navigateProgressNote(patientList.an)">
                                                <i class="fa-solid fa-clipboard-list text-yellotw-w-600 text-[28px]"></i>
                                            </button>
                                        </div>
                                    </div>
                                </div>

                            </div>                   

                            <div class="flex-none hidden md:inline-flex lg:inline-flex xl:inline-flex xxl:inline-flex tw-w-35 tw-h-full p-0 tw-content-center" [ngClass]="deviceType =='xs' || deviceType=='sm' ? 'hidden' : ''">
                                <button class="tw-bg-gradient-to-l tw-from-slate-100 tw-to-slate-300 tw-rounded-full p-3 tw-content-center tw-items-center tw-w-full tw-h-full" (click)="openPanelRight(i)" *ngIf="patientList.hideRight">                           
                                    <i class="fa-solid fa-chevron-left tw-align-middle text-4xl tw-w-10 tw-h-full text-indigo-400 hover:text-white "></i>
                                </button>
                                <button class="tw-bg-gradient-to-l tw-from-slate-100 tw-to-slate-300 tw-rounded-full p-3 tw-content-center tw-items-center tw-w-full tw-h-full" (click)="openPanelRight2(i)" *ngIf="!patientList.hideRight"> 
                                    <i class="fa-solid fa-chevron-right tw-align-middle text-4xl tw-w-10 tw-h-full text-indigo-400 hover:text-white "></i>
                                </button>
                            </div>


                        </div>
                    </div>
                    <div class="flex-none tw-w-44 text-gray-600 bg-slate-100 tw-rounded-2xl" *ngIf="!patientList.hideRight" [ngClass]="deviceType =='xs' || deviceType=='sm' ? 'hidden' : ''">
                        <div class="flex flex-row gap-x-4 content-center justify-center tw-h-full tw-w-full">
                            <div class="flex items-center content-center justify-center ">
                                <button class="tw-rounded-full bg-rose-100  tw-border-rose-600 tw-border-2 tw-w-16 tw-h-16 "  (click)="navigateAdmisstionNote(patientList.admit_id)">
                                    <i class="fa-solid fa-file-pen text-rose-600 text-[28px]"></i>
                                </button>
                            </div>
                            <div class="flex items-center content-center justify-center">
                                <button class="tw-rounded-full bg-yellotw-w-100  tw-border-yellotw-w-600 tw-border-2 tw-w-16 tw-h-16 " (click)="navigateProgressNote(patientList.an)">
                                    <i class="fa-solid fa-clipboard-list text-yellotw-w-600 text-[28px]"></i>
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </ng-template>

    <ng-template let-wards pTemplate="gridItem">
        <div></div>
    </ng-template>

    </p-dataView>
    </div>
